<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contrct_or_sup_masters', function (Blueprint $table) {
            $table->id();

            $table->integer('c_id');
 
            $table->string('c_name',200)->nullable();
            $table->text('address')->nullable();
            $table->string('phone',200)->nullable();

            $table->integer('type')->default(0);
            $table->integer('status')->default(0);


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cust_or_sup_masters');
    }
};
